import 'package:flutter/material.dart';
import 'reticle_animator.dart';

class ErrorAnimator extends ReticleAnimator {
  Animation animation;
  AnimationController controller;

  double value = 0.0;

  ErrorAnimator(TickerProvider ticker) : super() {
    this.controller = AnimationController(
        duration: Duration(milliseconds: 500), vsync: ticker);

    this.controller.addListener(() {
      this.value = controller.value;
      notifyListeners();
    });
  }

  double getValue() {
    return this.value;
  }

  start() {
    this.controller.repeat();
  }

  stop() {
    this.controller.stop();
  }

  dispose() {
    this.controller.dispose();
    super.dispose();
  }
}
