import 'package:flutter/material.dart';
import 'reticle_animator.dart';

class SearchingAnimator extends ReticleAnimator {
  Animation animation;
  AnimationController controller;

  int duration; // the animation duration in ms

  SearchingAnimator(TickerProvider ticker, {this.duration}) : super() {
    if (this.duration == null) this.duration = 3000;

    this.controller = AnimationController(
        duration: Duration(milliseconds: this.duration), vsync: ticker);

    this.controller.addListener(() {
      notifyListeners();
    });

    this.controller.addStatusListener((status) {
      if (this.controller.isCompleted) {
        this.controller.reset();
      }
    });
  }

  double getValue() {
    return this.controller.value;
  }

  start() {
    this.controller.forward();
  }

  stop() {
    this.controller.stop();
  }

  dispose() {
    this.controller.dispose();
    super.dispose();
  }
}
